Subject: Re: [patch iproute2 v2 repost 2/3] tc: actions: add helpers to parse and print control actions

From: Jiri Benc <[email-masked]>
Date: Wed, 14 Jun 2017 20:32:22 +0200

On Tue, 16 May 2017 19:29:36 +0200, Jiri Pirko wrote:
> From: Jiri Pirko <[email-masked]>
> 
> Each tc action is terminated by a control action. Each action parses and
> prints then intividually. Introduce set of helpers and allow to share
> this code.

This patch, as indicated by git bisect, broke tc if there are multiple
actions specified. This somehow non-real life reproducer (the real case
where this broke for me was more complex) works fine with 732f03461bc4:

# tc filter add dev eth0 parent 1: matchall action vlan push id 1 action drop

while with both the current net-next and with e67aba559581, the result
is:

# tc filter add dev eth0 parent 1: matchall action vlan push id 1 action drop
Bad action type action

 Jiri